Aggregate events
curl --request POST \
--url https://app-api.costory.io/events/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"searchEvents": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"filters": {
"from": "<string>",
"to": "<string>"
},
"bookmarkedEvents": []
}
'import requests
url = "https://app-api.costory.io/events/aggregate"
payload = {
"searchEvents": {
"githubSourceRepos": [],
"enableAllGithubRepos": True,
"customBusinessEvents": True,
"customTechnicalEvents": True,
"labels": [],
"commitments": False,
"reservations": False,
"marketplacePurchases": False,
"skuPriceChanges": False,
"sources": []
},
"filters": {
"from": "<string>",
"to": "<string>"
},
"bookmarkedEvents": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
searchEvents: {
githubSourceRepos: [],
enableAllGithubRepos: true,
customBusinessEvents: true,
customTechnicalEvents: true,
labels: [],
commitments: false,
reservations: false,
marketplacePurchases: false,
skuPriceChanges: false,
sources: []
},
filters: {from: '<string>', to: '<string>'},
bookmarkedEvents: []
})
};
fetch('https://app-api.costory.io/events/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"technicalEvents": [
{
"date": "<string>",
"events": [
{
"metadata": {
"link": "<string>"
},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"labels": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"scopeId": "<string>"
},
"id": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"businessEvents": [
{
"date": "<string>",
"events": [
{
"metadata": {
"link": "<string>"
},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"labels": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"scopeId": "<string>"
},
"id": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"providerEvents": [
{
"date": "<string>",
"events": [
{
"metadata": {
"link": "<string>"
},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"labels": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"scopeId": "<string>"
},
"id": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"bookmarkedSearchEvents": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
}
}{
"error": "<string>"
}Events
Aggregate events
POST
/
events
/
aggregate
Aggregate events
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Body
application/json
Last modified on July 24, 2026
Was this page helpful?
⌘I
